From 14fa4c5a00dc7be9059b52e64e7fee79b7bae68c Mon Sep 17 00:00:00 2001 From: Shir Goldberg <3937986+shirgoldbird@users.noreply.github.com> Date: Tue, 30 Jun 2026 14:37:08 -0400 Subject: [PATCH] docs: add style rules, TM, and currency conversion for 25 new languages MIME-Version: 1.0 Content-Type: text/plain; charset=UTF-8 Content-Transfer-Encoding: 8bit Style rules, custom instructions, translation memories, and currency conversion are now supported for 25 additional Tier 2/3 target languages. Update all hardcoded language lists, OpenAPI spec enum, and changelogs. 🤖 Generated with [Claude Code](https://claude.com/claude-code) Co-Authored-By: Claude --- .../languages/v3-languages-changelog.mdx | 8 +++++++ api-reference/openapi.json | 24 +++++++++++++++++++ api-reference/openapi.yaml | 24 +++++++++++++++++++ api-reference/style-rules.mdx | 2 +- api-reference/translate.mdx | 2 +- docs/best-practices/custom-instructions.mdx | 2 +- docs/getting-started/supported-languages.mdx | 2 +- docs/resources/roadmap-and-release-notes.mdx | 6 +++++ 8 files changed, 66 insertions(+), 4 deletions(-) diff --git a/api-reference/languages/v3-languages-changelog.mdx b/api-reference/languages/v3-languages-changelog.mdx index 547a01b5..339a2c78 100644 --- a/api-reference/languages/v3-languages-changelog.mdx +++ b/api-reference/languages/v3-languages-changelog.mdx @@ -8,6 +8,14 @@ description: 'Changes to the v3/languages endpoints, including the GA release an This section lists dated changes to the API. +### 30 June 2026 + +**Expanded: `style_rules` feature on `translate_text` and `translate_document` resources** — the `style_rules` +feature is now reported on 25 additional target languages: `ar`, `bg`, `cs`, `da`, `el`, `et`, `fi`, `he`, +`hu`, `id`, `lt`, `lv`, `nb`, `nl`, `pl`, `pt`, `ro`, `ru`, `sk`, `sl`, `sv`, `tr`, `uk`, `vi`, and `zh`. +These join the 8 previously supported languages (`de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, `zh`). Translation +memories are also now supported for these languages. + ### 5 June 2026 **New: `spoken_terms` feature on `voice` resource** — the `spoken_terms` feature is now reported on diff --git a/api-reference/openapi.json b/api-reference/openapi.json index c186a5d9..94079652 100644 --- a/api-reference/openapi.json +++ b/api-reference/openapi.json @@ -7329,13 +7329,37 @@ "description": "The language that the style rule list is applied to.", "type": "string", "enum": [ + "ar", + "bg", + "cs", + "da", "de", + "el", "en", "es", + "et", + "fi", "fr", + "he", + "hu", + "id", "it", "ja", "ko", + "lt", + "lv", + "nb", + "nl", + "pl", + "pt", + "ro", + "ru", + "sk", + "sl", + "sv", + "tr", + "uk", + "vi", "zh" ] }, diff --git a/api-reference/openapi.yaml b/api-reference/openapi.yaml index 1f4a241a..e6af070e 100644 --- a/api-reference/openapi.yaml +++ b/api-reference/openapi.yaml @@ -5218,13 +5218,37 @@ components: description: The language that the style rule list is applied to. type: string enum: + - ar + - bg + - cs + - da - de + - el - en - es + - et + - fi - fr + - he + - hu + - id - it - ja - ko + - lt + - lv + - nb + - nl + - pl + - pt + - ro + - ru + - sk + - sl + - sv + - tr + - uk + - vi - zh StyleRuleName: description: Name associated with the style rule list. diff --git a/api-reference/style-rules.mdx b/api-reference/style-rules.mdx index f83d9d50..feae7180 100644 --- a/api-reference/style-rules.mdx +++ b/api-reference/style-rules.mdx @@ -161,7 +161,7 @@ Create a new style rule list with configured rules and optional custom instructi The name of the style rule list. Maximum length: 1024 characters. - The target language for the style rules. Supported values: `de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, `zh`. + The target language for the style rules. Supported values: `ar`, `bg`, `cs`, `da`, `de`, `el`, `en`, `es`, `et`, `fi`, `fr`, `he`, `hu`, `id`, `it`, `ja`, `ko`, `lt`, `lv`, `nb`, `nl`, `pl`, `pt`, `ro`, `ru`, `sk`, `sl`, `sv`, `tr`, `uk`, `vi`, `zh`. An object containing predefined rules to enable for the style rule list. Rules are organized by category (e.g., `dates_and_times`, `punctuation`). Each category can contain multiple rule options. diff --git a/api-reference/translate.mdx b/api-reference/translate.mdx index 9fd0d491..99f1ee72 100644 --- a/api-reference/translate.mdx +++ b/api-reference/translate.mdx @@ -300,7 +300,7 @@ Note that we do not include examples for our client libraries in every single se Specify a list of instructions to customize the translation behavior. Up to 10 custom instructions can be specified, each with a maximum of 300 characters. - The target language must be `de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, `zh` or any variants of these languages. + The target language must be `ar`, `bg`, `cs`, `da`, `de`, `el`, `en`, `es`, `et`, `fi`, `fr`, `he`, `hu`, `id`, `it`, `ja`, `ko`, `lt`, `lv`, `nb`, `nl`, `pl`, `pt`, `ro`, `ru`, `sk`, `sl`, `sv`, `tr`, `uk`, `vi`, `zh`, or any variants of these languages. You can find best practices on how to write custom instructions [here](/docs/best-practices/custom-instructions). diff --git a/docs/best-practices/custom-instructions.mdx b/docs/best-practices/custom-instructions.mdx index d8eca577..3f2c65e5 100644 --- a/docs/best-practices/custom-instructions.mdx +++ b/docs/best-practices/custom-instructions.mdx @@ -84,7 +84,7 @@ When using custom instructions, keep these constraints in mind: - **Maximum instructions**: Up to 10 custom instructions per request - **Character limit**: Each instruction can contain a maximum of 300 characters -- **Supported target languages**: `de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, `zh`, or any variants of these languages +- **Supported target languages**: `ar`, `bg`, `cs`, `da`, `de`, `el`, `en`, `es`, `et`, `fi`, `fr`, `he`, `hu`, `id`, `it`, `ja`, `ko`, `lt`, `lv`, `nb`, `nl`, `pl`, `pt`, `ro`, `ru`, `sk`, `sl`, `sv`, `tr`, `uk`, `vi`, `zh`, or any variants of these languages - **Model compatibility**: Custom instructions are compatible with all `model_type` values. ## Related documentation diff --git a/docs/getting-started/supported-languages.mdx b/docs/getting-started/supported-languages.mdx index ce2d303a..46f98ddf 100644 --- a/docs/getting-started/supported-languages.mdx +++ b/docs/getting-started/supported-languages.mdx @@ -19,5 +19,5 @@ import { LanguageTable } from "/snippets/language-table.jsx" - Style rules are supported for the following target languages: `de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, and `zh`. For more details, see the [Style Rules API documentation](/api-reference/style-rules). Writing style and tone availability for `/write/rephrase` can also be retrieved via [`GET /v3/languages?resource=write`](/api-reference/languages/retrieve-supported-languages-by-resource). + Style rules, custom instructions, and translation memories are supported for the following target languages: `ar`, `bg`, `cs`, `da`, `de`, `el`, `en`, `es`, `et`, `fi`, `fr`, `he`, `hu`, `id`, `it`, `ja`, `ko`, `lt`, `lv`, `nb`, `nl`, `pl`, `pt`, `ro`, `ru`, `sk`, `sl`, `sv`, `tr`, `uk`, `vi`, and `zh`. For more details, see the [Style Rules API documentation](/api-reference/style-rules). You can also retrieve supported languages programmatically via [`GET /v3/languages?resource=translate_text`](/api-reference/languages/retrieve-supported-languages-by-resource) and check for the `style_rules` feature key. Writing style and tone availability for `/write/rephrase` can also be retrieved via [`GET /v3/languages?resource=write`](/api-reference/languages/retrieve-supported-languages-by-resource). diff --git a/docs/resources/roadmap-and-release-notes.mdx b/docs/resources/roadmap-and-release-notes.mdx index e7fcc2b6..558ec01d 100644 --- a/docs/resources/roadmap-and-release-notes.mdx +++ b/docs/resources/roadmap-and-release-notes.mdx @@ -10,6 +10,12 @@ rss: true +## June 30 - Style Rules, Translation Memories, and Currency Conversion for 25 Additional Languages +- [Style rules](/api-reference/style-rules), [custom instructions](/docs/best-practices/custom-instructions), and [translation memories](/docs/learning-how-tos/examples-and-guides/how-to-use-translation-memories) are now supported for 25 additional target languages: Arabic (`ar`), Bulgarian (`bg`), Chinese (`zh`), Czech (`cs`), Danish (`da`), Dutch (`nl`), Estonian (`et`), Finnish (`fi`), Greek (`el`), Hebrew (`he`), Hungarian (`hu`), Indonesian (`id`), Latvian (`lv`), Lithuanian (`lt`), Norwegian (`nb`), Polish (`pl`), Portuguese (`pt`), Romanian (`ro`), Russian (`ru`), Slovak (`sk`), Slovenian (`sl`), Swedish (`sv`), Turkish (`tr`), Ukrainian (`uk`), and Vietnamese (`vi`). +- These join the 8 previously supported languages (`de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, `zh`), bringing the total to 33 target languages. +- Currency conversion is also available as a configured style rule for these languages, enabling automatic conversion of currencies using daily exchange rates. +- Available on both the frontend and the API for all customers. + ## June 24 - API Key Permissions General Availability - [API key permissions](/docs/getting-started/managing-api-keys#api-key-permissions) are now generally available. Scope a developer API key to specific endpoints so it can perform only the operations you allow. - Available on the API Pro, API Developer, API Growth, and API Enterprise plans.